Update Route

Updates an existing route.

Authentication

x-api-keystring
API key authentication. Accepts either: - App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ) - Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path parameters

routeIdOrPathnamestringRequired
The route ID or pathname for the route you are updating.

Query parameters

siteIdstringOptionalformat: "uuid"
The site ID required when using a pathname instead of a route ID.
skipValidationenumOptional
The flag that determines whether to skip route validation. Useful when an external system has a different way of validating routes.
Allowed values:

Request

This endpoint expects an object.
pathnamestringOptional
The route pathname.

Response

objectenum
Allowed values:
idstringformat: "uuid"
The ID of the route.
pathnamestring
The route pathname.

Errors